Bug 1272134 - Review Request: python-journal-brief - Find new systemd journal entries since last run
Review Request: python-journal-brief - Find new systemd journal entries since...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jiri Popelka
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-15 10:37 EDT by Tim Waugh
Modified: 2015-11-01 16:50 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-20 05:54:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jpopelka: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2015-10-15 10:37:49 EDT
Spec URL: https://twaugh.fedorapeople.org/journal-brief/python-journal-brief.spec
SRPM URL: https://twaugh.fedorapeople.org/journal-brief/python-journal-brief-1.1.1-1.fc22.src.rpm
Description:
Python module for examining, bookmarking, and filtering systemd
journal entries.

Fedora Account System Username: twaugh
Comment 1 Matthew Miller 2015-10-15 10:56:24 EDT
I'm getting build errors in mock (both f22 and rawhide). Will have to diagnose whether that's my system or a real problem. :)
Comment 2 Upstream Release Monitoring 2015-10-16 04:59:13 EDT
twaugh's scratch build of python-journal-brief-1.1.1-1.fc22.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11471622
Comment 3 Tim Waugh 2015-10-16 05:03:15 EDT
Looks like I missed some dependencies. Will fix.
Comment 4 Upstream Release Monitoring 2015-10-16 05:34:48 EDT
twaugh's scratch build of python-journal-brief-1.1.1-1.fc22.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11471937
Comment 5 Tim Waugh 2015-10-16 05:36:15 EDT
Updated package now at URL in comment #0.
Comment 6 Jiri Popelka 2015-10-16 07:49:48 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Final provides and requires are sane.
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: %check is present and all tests pass.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.


Package is Approved.
Comment 7 Tim Waugh 2015-10-16 08:10:48 EDT
Thanks!
Comment 8 Fedora Update System 2015-10-19 04:38:26 EDT
python-journal-brief-1.1.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-7c5d59f8cb
Comment 9 Fedora Update System 2015-10-19 04:40:03 EDT
python-journal-brief-1.1.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-fd66614a77
Comment 10 Fedora Update System 2015-10-19 12:24:54 EDT
python-journal-brief-1.1.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-journal-brief'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-7c5d59f8cb
Comment 11 Fedora Update System 2015-10-20 00:23:37 EDT
python-journal-brief-1.1.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-journal-brief'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-fd66614a77
Comment 12 Fedora Update System 2015-10-31 22:33:57 EDT
python-journal-brief-1.1.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2015-11-01 16:50:57 EST
python-journal-brief-1.1.1-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.